%define version 1.13.4
%define release %mkrel 1

%define amversion 1.13


Summary:	A GNU tool for automatically creating Makefiles
Name:		automake
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Development/Other
Source0:	ftp://ftp.gnu.org/gnu/automake/automake-%{version}.tar.xz
URL:		http://sources.redhat.com/automake/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch

Requires:	autoconf
BuildRequires:	autoconf
BuildRequires:	texinfo
Conflicts:	automake1.5
Provides:	automake1.9 = %{version}-%{release}
Obsoletes:	automake1.9
Provides:	automake1.8 = %{version}-%{release}
Obsoletes:	automake1.8
Requires(post):	info-install
Requires(preun): info-install
Requires(post):	update-alternatives
Requires(preun): update-alternatives


%description
Automake is a tool for automatically generating Makefiles compliant with
the GNU Coding Standards.

You should install Automake if you are developing software and would like
to use its capabilities of automatically generating GNU standard
Makefiles. If you install Automake, you will also need to install GNU's
Autoconf package.

%prep
%setup -q -n automake-%{version}

%build
%configure2_5x --build=%{_host}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

ln -s automake-%{amversion} $RPM_BUILD_ROOT%{_bindir}/automake-1.8
ln -s aclocal-%{amversion} $RPM_BUILD_ROOT%{_bindir}/aclocal-1.8

ln -s automake-%{amversion} $RPM_BUILD_ROOT%{_bindir}/automake-1.9
ln -s aclocal-%{amversion} $RPM_BUILD_ROOT%{_bindir}/aclocal-1.9

rm -f $RPM_BUILD_ROOT/%{_infodir}/*
install -m 644 doc/%{name}.info* $RPM_BUILD_ROOT/%{_infodir}/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" = 1 ]; then
  update-alternatives --remove automake %{_bindir}/automake-1.8
  update-alternatives --remove automake %{_bindir}/automake-1.9
fi

%post
%_install_info %name.info

%preun
%_remove_install_info %name.info

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README THANKS
%{_bindir}/automake
%{_bindir}/aclocal
%{_bindir}/automake-%{amversion}
%{_bindir}/aclocal-%{amversion}
%{_bindir}/automake-1.8
%{_bindir}/aclocal-1.8
%{_bindir}/automake-1.9
%{_bindir}/aclocal-1.9
%{_datadir}/automake*
%{_infodir}/automake*
%{_datadir}/aclocal*
%{_mandir}/man1/*


%changelog
* Thu Jun 20 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.13.4-1pclos2013
- 1.13.4

* Thu Jun 06 2013 Texstar <texstar at gmail.com> 1.13.3-1pclos2013
- 1.13.3

* Wed Oct 24 2012 Neal <nealbrks0 at gmail dot com> 1.12.4-1pclos2012
- process

* Tue Oct 23 2012 pinoc <vogtpet at gmail.com> 1.12.4-1pclos2012
- 1.12.4

* Wed Aug 11 2010 Texstar <texstar at gmail.com> 1.11.1-1pclos2010
- 1.11.1

